Bug 800152 - link for config file in/etc/sysconfig
link for config file in/etc/sysconfig
Product: Fedora
Classification: Fedora
Component: grub2 (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-03-05 15:56 EST by Michał Piotrowski
Modified: 2012-04-17 22:19 EDT (History)
6 users (show)

See Also:
Fixed In Version: grub2-1.99-17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-04-17 21:17:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michał Piotrowski 2012-03-05 15:56:56 EST
Description of problem:
Please provide link to /etc/default/grub in /etc/sysconfig/. /etc/sysconfig/ is  one of the first directory where user is looking for configuration files on Fedora/Red Hat Linux systems.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Jan Kratochvil 2012-03-05 23:03:39 EST
Why link and not just to move it there? sysconfdir should be fully compile-time configurable.
Comment 2 Michał Piotrowski 2012-03-06 02:58:20 EST
Compatibility with upstream documentation?
Comment 3 Jan Kratochvil 2012-03-06 03:39:14 EST
If the documentation does not update according to the configure settings it is a bug which should be fixed and upstreamed.

See the autogenerated gdb/doc/GDBvn.texi configuration for documentation in GDB.
Comment 4 Michal Hlavinka 2012-03-06 04:01:23 EST
I know bugzilla is not a good place for discussion, but I thin we should stay with default. Even if we patch documentation, it would make confusion. I guess that when looking for solution, people use google (search for problem keywords) more often than read all documentation available and hope they will found their solution there. For "/etc/default/grub" I get 834 000 results already. We could change paths in documentation we ship, but we can't change paths in the documentation "out there".

Btw, when I'm looking for config files, I use: 
rpm -ql <package> | grep /etc
It never failed me and it works in grub2 case too.
Comment 5 Jan Kratochvil 2012-03-06 04:08:55 EST
As here is a disagreement it should go to FESCo.
Comment 6 Michal Hlavinka 2012-03-06 10:08:41 EST
I don't think we need FESCo to review every decision made. We have package maintainers for this. With or without the symlink this package won't be violating FHS nor Fedora packaging guidelines. There is no need for FESCo. I will "shut up" if Peter adds this symlink, it's his decision and I guess he is capable enough to make that decision. I just presented my opinion in previous comment.
Comment 7 Jan Kratochvil 2012-03-06 10:23:50 EST
Filed it as: https://fedorahosted.org/fesco/ticket/818
Comment 8 Sergio Monteiro Basto 2012-04-16 20:55:27 EDT
may instead do a symbol link of grub,  symbol link of all dir, 
 /etc/default/ to /etc/sysconfig/

mv /etc/default/* /etc/sysconfig/
rmdir /etc/default/
ln -s /etc/sysconfig/ /etc/default/
Comment 9 Mads Kiilerich 2012-04-17 21:17:42 EDT
I would like to add a reference to the flame bait that might be implicit behind this discussion: http://0pointer.de/blog/projects/on-etc-sysinit.html

(In reply to comment #0)
> /etc/sysconfig/ is one of the first directory where user is looking for configuration files on Fedora/Red Hat Linux systems.

They don't look in the rest of /etc? 

(In reply to comment #1)
> Why link and not just to move it there? sysconfdir should be fully compile-time
> configurable.

- but it isn't.

(In reply to comment #7)
> Filed it as: https://fedorahosted.org/fesco/ticket/818

Closed as invalid.

But at the same time:
* Wed Mar 07 2012 Peter Jones <pjones@redhat.com> - 1.99-17
- Add /etc/sysconfig/grub link to /etc/default/grub
  Resolves: rhbz#800152

grub2-1.99-19.fc17 was silently pushed to stable 2012-03-21.
Comment 10 Sergio Monteiro Basto 2012-04-17 22:19:54 EDT
The Linux Standard Base (LSB) , should define where .

Note You need to log in before you can comment on or make changes to this bug.